App\Entity\AchatLivraisonProduit:
    type: entity
    table: achat_livraison_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: float
            nullable: false
        note:
            type: text
            nullable: true
    manyToOne:
        achatProduit:
            targetEntity: AchatProduit
            cascade: {  }
            mappedBy: null
            inversedBy: livraisons
            joinColumns:
                achat_produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        achatLivraison:
            targetEntity: AchatLivraison
            cascade: [persist]
            mappedBy: null
            inversedBy: livraisons
            joinColumns:
                achat_livraison_id:
                    referencedColumnName: id
            orphanRemoval: false